setwd("Xena/gene_exp")
tfexp<-lapply(unique(crc$cancer), function(x){
   r=crc[which(crc$cancer==x),]
   exp<-2^read.delim(paste0("cancer.",x,".HiseqV2"))-1
})
tfexp<-do.call(cbind,tfexp)
crc_c<-read.delim("CRC_Candidate.txt",stringsAsFactor=F)
exp<-tfexp[unique(crc_c$gene_name),]
Mexp<-apply(exp,1,function(x){median(x)})
thr=Mexp
thr[which(thr<1)]<-1

tfexp<-lapply(unique(crc$cancer), function(x){
    tf<-unique(unique(crc_c$gene_name))
	r=crc[which(crc$cancer==x),]
    exp<-2^read.delim(paste0("cancer.",x,".HiseqV2"))-1
    rM<-rowMeans(exp[tf,])
    expr<-cbind(thr,exp[tf,])
      expr<-apply(expr,1,function(x){
        thr=x[1]
        a=x[-1]
        length(which(a>thr))/length(x)
      })
      data.frame(cancer=x,TF=tf,Exp_mean=rM,exp_rs=expr)
})
tfexp2<-do.call(rbind,tfexp)
tfexp2<-tfexp2[which(tfexp2$exp_rs>0.3),]
tfexp2=data.frame(tfexp2)
write.table(tfexp2,"CoreTF.list.txt",quote=F,col.names=T,row.names=F,sep="\t")