
crc <- read.csv("/Volumes/My Passport/Item/MEnhancer/R4/CRC_TF.csv")
tf<-unique(crc$gene_name)
load("/Volumes/My Passport/MEnhancer/0.FLT/2.Result2/EDT_Cluster/enhE.RData") ###enhE
colnames(enhE)<-paste0(colnames(enhE),".01")

tfexp<-lapply(unique(crc$cancer), function(x){
  m<-read.delim(paste0("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/eMR_Profile/",x,"_MethylProfile.txt"),row.names = 1)
  colnames(m)<-gsub(".$","",colnames(m))
  load(paste0("/Volumes/My Passport/genexp38/Rda/TCGA-",x,".htseq_fpkm.Rda"))
  colnames(exp)<-gsub(".$","",colnames(exp))
  rownames(exp)<-gsub("[.].*$","",rownames(exp))
  sample<-intersect(intersect(colnames(m),colnames(exp)),colnames(enhE))
  
  # p0<-apply(exp[,sample], 1, function(x){length(which(x==0))/length(x)})
  # exp<-exp[which(p0<0.7),sample]

  r<-apply(crc[which(crc$cancer == x ),],1, function(y){
    print(y)
    mm=y["eDMR"]
    e=y["EDT"]
    g=gsub("[.].*$","",y["gene_id"])
    if(length(grep(g,rownames(exp)))>0){
      gd<-data.frame(m=as.numeric(as.matrix(m[mm,sample])),
                     e=as.numeric(as.matrix(enhE[e,sample])),
                     g=as.numeric(as.matrix(exp[g,sample])))
      print(cor.test(gd$g,gd$m))
      library(ggplot2)
      library(ggthemes)
      library(viridis)
      library(ggpubr)
      library(patchwork)
      p1<-ggplot(gd,aes(x=m,y=e))+
        # stat_density_2d(geom = "polygon", 
        #                 aes(alpha = ..level..,fill = ..level..))+
        geom_point(size=0.03,color="black")+
        geom_smooth()+
        stat_cor(method = "spearman")+
        theme_few()+
        ylab("Enhancer trancription levels")+
        xlab("Enhancer methylation levels")+
        theme(legend.position = "none")+
        scale_fill_viridis(option ="A")
      p2<-ggplot(gd,aes(x=e,y=g))+
        # stat_density_2d(geom = "polygon", 
        #                 aes(alpha = ..level..,fill = ..level..))+
        geom_point(size=0.03,color="black")+
        geom_smooth()+
        stat_cor(method = "spearman")+
        theme_few()+
        ylab("Gene expression levels")+
        xlab("Enhancer trancription levels")+
        theme(legend.position = "none")+
        scale_fill_viridis(option ="D")
      p3<-ggplot(gd,aes(x=m,y=g))+
        geom_point(size=0.03,color="black")+
        stat_density_2d(geom = "polygon",
                        aes(alpha = ..level..,fill = ..level..))+
        geom_smooth()+
        stat_cor(method = "spearman")+
        theme_few()+
        ylab("Gene expression levels")+
        xlab("Enhancer methylation levels")+
        theme(legend.position = "none")+
        scale_fill_viridis(option ="D")
      p1+p2+p3
      setwd("/Volumes/My Passport/Item/MEnhancer/R6/www/cor")
      ggsave(gsub(":","_",paste0(y["cancer"],"_",y["eDMR"],"_",y["EDT"],"_",y["gene_name"],".pdf")),height = 2.8,width = 8)
    }   
  })

})
